This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772571 - [FEAT] volume create and add-brick should display a warning message when the fs is unsupported
[FEAT] volume create and add-brick should display a warning message when the ...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kaushal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-09 04:43 EST by Niels de Vos
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-01-09 04:43:35 EST
It would be very helpful for users to see that they do something that is not supported or expected to work without issues. Creating a volume with bricks that contain a filesystem other than ext3(?), ext4 or xfs should be discouraged. Printing a warning message when creating the volume or adding a brick would be a good way to inform the user of the ill-chosen filesystem on the brick.

Idea based on a comment from Rajesh Amaravathi in the review of http://review.gluster.com/777
- Change I6f40c1e1: cli/src/cli-cmd-volume.c
Comment 1 Niels de Vos 2014-11-27 09:45:06 EST
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.